#ifndef IOPTIMIZER_H
#define IOPTIMIZER_H
#include "json.hpp"
#include <IModule.h>

namespace mdd {
	class IOptimizer {
		public:
			//virtual bool connect(std::shared_ptr<IModule> module) = 0;
			/*
			
			*/
			
			virtual bool setEvaluation(std::string func) = 0;
			virtual std::vector<std::vector<double>> update() = 0;
	};
}
#endif // !IOPTIMIZER_H
